#
# spec file for package spamassassin (Version 2.64)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  perl-Digest-HMAC perl-Digest-SHA1 perl-HTML-Parser perl-razor-agents razor-agents
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl perl-Digest-HMAC perl-Digest-SHA1 perl-HTML-Parser perl-razor-agents razor-agents rpm

Name:         spamassassin
License:      Artistic License, Other License(s), see package
Group:        Productivity/Networking/Email/Utilities
Provides:     spamassassin
URL:          http://spamassassin.org/
Requires:     perl-spamassassin
Autoreqprov:  on
PreReq:       %insserv_prereq %fillup_prereq
Summary:      a spam filter for email written in perl
Version:      2.64
Release:      5
Source:       http://spamassassin.org/released/Mail-SpamAssassin-%{version}.tar.bz2
Source1:      local.cf
Source2:      init.spamd
Source3:      sysconfig.spamd
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
spamassassin adds a header line that shows if the mail has been
determined spam or not. This way, you can decide what to do with the
mail within the scope of your own filtering rules in your MUA (Mail
User Agent, your mail program) or your LDA (Local Delivery Agent).

See the files in the documentation directory
/usr/share/doc/packages/spamassassin/ for more information on how to
use the filter.



Authors:
--------
    Justin Mason <me@jmason.org>

%package -n perl-spamassassin
Group:        Development/Libraries/Perl
Requires:     perl-HTML-Parser perl-Net-DNS
Summary:      the perl modules for using spamassassin within an own perl script

%description -n perl-spamassassin
This package contains the perl modules for the spamassassin, including
the filter rules. This package is required for the package
"spamassassin", the commandline tool.



%prep
%setup -n Mail-SpamAssassin-%{version}

%build
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/mail/spamassassin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p $RPM_BUILD_ROOT/usr/share/spamassassin
make PREFIX=$RPM_BUILD_ROOT/usr DESTDIR=$RPM_BUILD_ROOT install_site #inst_cfs
%perl_process_packlist
mv $RPM_BUILD_ROOT/usr/bin/spamd $RPM_BUILD_ROOT/usr/sbin
install -m 0644 $RPM_SOURCE_DIR/local.cf $RPM_BUILD_ROOT/etc/mail/spamassassin/local.cf
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/spamd
ln -s ../../etc/init.d/spamd $RPM_BUILD_ROOT/usr/sbin/rcspamd
echo "Most of the documentation is at ../perl-spamassassin/." > README.SuSE
install -m 0640 %SOURCE3 $RPM_BUILD_ROOT/var/adm/fillup-templates/
test -f $RPM_BUILD_ROOT/usr/share/spamassassin/user_prefs.template || {
	echo "MakeMaker is broken again..."
	exit 1
}

%files -n perl-spamassassin
%defattr(-,root,root)
%doc README MANIFEST Changes procmailrc.example sample-nonspam.txt
%doc sample-spam.txt
%doc %{_mandir}/man3/*
%dir /etc/mail
%config(noreplace) /etc/mail/spamassassin
%dir %{perl_vendorarch}/auto/Mail
%{perl_sitearch}/auto/Mail/SpamAssassin
%dir %{perl_vendorlib}/Mail
%{perl_sitelib}/Mail/SpamAssassin.pm
%{perl_sitelib}/Mail/SpamAssassin
/usr/share/spamassassin
/var/adm/perl-modules/spamassassin

%files
%defattr(-,root,root)
%doc spamd/README.spamd README.SuSE
%doc %{_mandir}/man1/*
%attr(755,root,root) /usr/bin/*
%attr(755,root,root) /usr/sbin/*
%config %attr(740,root,root) /etc/init.d/spamd
/var/adm/fillup-templates/sysconfig.spamd

%post
%{fillup_and_insserv -n spamd}

%postun
%insserv_cleanup

%changelog -n spamassassin
* Fri Aug 06 2004 - meissner@suse.de
- Upgraded to security / bugfix release 2.64. #43546
* Sat Mar 27 2004 - ro@suse.de
- added directory /etc/mail to filelist
* Tue Jan 27 2004 - choeger@suse.de
- Update to version 2.63
* Sat Jan 03 2004 - mmj@suse.de
- References to %%version have to go below the Version: tag
* Wed Dec 31 2003 - mmj@suse.de
- Update to version 2.61
* Sun Dec 07 2003 - mmj@suse.de
- The perl-spamassassin version should be the same as the spam-
  assassin version.
* Sat Oct 18 2003 - mmj@suse.de
- Not necessary to explicitly tell SA not to query Osirusoft
  blocklist anymore
* Fri Oct 17 2003 - mmj@suse.de
- Don't build as root
- Update to version 2.60
* Tue Oct 14 2003 - choeger@suse.de
- Bugfix Bugzilla ID#32025, spamd is not started because of a bug
  in the init-script
- Bugfix Bugzilla ID#31867, spamassassin -lint reports errors because
  of outdated local.cf configuration options
* Thu Sep 04 2003 - choeger@suse.de
- Michael fixed MakeMaker PITA again
* Tue Sep 02 2003 - choeger@suse.de
- Update to newest version in order to effective filter newest spam.
  Bugzilla ID#26936
- Don't query Osirusoft blocklist anymore, see
  http://news.spamassassin.org/modules.php?op=modload&name=News&file=article&sid=44&mode=thread&order=0&thold=0 for more details.
  Bugzilla ID#29566
* Mon Apr 28 2003 - pthomas@suse.de
- Make init script test for $SPAMD_BIN not $FOO_BIN.
* Sun Mar 02 2003 - mmj@suse.de
- Disabling HABEAS_HIL test turned out to be just a bandaid. It still
  stalls for longer periods, so add "-L" switch so it only performs
  local tests. Subsequently remove the score HABEAS_HIL 0 in local.cf.
* Tue Feb 25 2003 - mmj@suse.de
- Disable the HABEAS_HIL test (sender is on www.habeas.com Habeas
  Infringer List) since it made each test last ~30 seconds.
- Default-Start: should be "3 5" not ""
* Fri Feb 21 2003 - adrian@suse.de
- update to version 2.50
  * fixing crash on x86_64 [#22015]
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22690]
* Mon Feb 03 2003 - adrian@suse.de
- update to version 2.44
  * obsoletes security fix
* Wed Jan 29 2003 - adrian@suse.de
- update to version 2.43
* Tue Jan 28 2003 - draht@suse.de
- remove off-by-one bo -> spamassassin-ob1-security.diff
* Wed Oct 16 2002 - ro@suse.de
- fixed requires typo
* Tue Oct 08 2002 - adrian@suse.de
- add missing requires
- update to version 2.42
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Jul 29 2002 - mls@suse.de
- fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 - choeger@suse.de
- update to most recent version
- added perl-Time-HiRes to requires
- removed DOSWIN_EXECUTABLE patch
  http://sourceforge.net/mailarchive/message.php?msg_id=1606621
* Fri May 10 2002 - garloff@suse.de
- Add rule to filter mails with files having names with DOS/Win
  suffixes (DOSWIN_EXECUTABLE), default score 4.6
- Provide init script for spamd
- Install READMEs as %%doc
- Move spamc/d/proxy/assassin man pages to spamassassin package
- Configuration of spamd in sysconfig/spamd
* Wed May 08 2002 - garloff@suse.de
- Update to version 2.20.
* Tue Apr 16 2002 - draht@suse.de
- fix file list (/usr/share/spamassassin)
  add more convenient defaults to /etc/mail/spamassassin/local.cf
* Tue Apr 09 2002 - draht@suse.de
- initial package, version 2.11.
